##
##     setup_headers - Sets a standard license header in all source files
##
##     Copyright (C) 2019 Jorge M. Faleiro Jr.
##
##     This program is free software: you can redistribute it and/or modify
##     it under the terms of the GNU Affero General Public License as published
##     by the Free Software Foundation, either version 3 of the License, or
##     (at your option) any later version.
##
##     This program is distributed in the hope that it will be useful,
##     but WITHOUT ANY WARRANTY; without even the implied warranty of
##     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##     GNU Affero General Public License for more details.
##
##     You should have received a copy of the GNU Affero General Public License
##     along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

# See
# https://pre-commit.com/#new-hooks

- id: adjust-license-header
  name: Adjust headers
  description: Adds license header to beginning of source file
  entry: adjust-license-header
  always_run: false
  pass_filenames: true
  stages: ["commit", "merge-commit"]
  #   additional_dependencies: ["-rrequirements-dev.txt"]
  language: python
  types: [text]
